Bug 57981 - Large LDAP transactions fail using ldbm backend
Summary: Large LDAP transactions fail using ldbm backend
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openldap   
(Show other bugs)
Version: 7.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-04 12:28 UTC by John Dalbec
Modified: 2007-04-18 16:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-06 13:29:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Dalbec 2002-01-04 12:28:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (Windows NT 5.0; U)

Description of problem:
Using the OpenLDAP ldbm backend (which appears to use gdbm), adding more than about 3400 members to an LDAP groupOfNames 
in 
a single transaction fails with an I/O error.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RH 7.1
2. (Optional) Rebuild/install RawHide OpenLDAP-2.0.19-1 package in 7.1
3. Define an LDAP groupOfNames object
4. Add 3500 members to the groupOfNames object in one ldapmodify transaction
	

Actual Results:  modifying entry <insert DN here>
ldap_modify: Can't contact LDAP server

ldif_record() = 81

Expected Results:  no error messages

Additional info:

Supposedly Berkeley DB 3.3.11 doesn't have this problem.

Comment 1 Trond Eivind Glomsrxd 2002-01-06 13:29:42 UTC
Refiling against openldap.

Comment 2 John Dalbec 2002-01-17 20:35:01 UTC
self->rtfm(sockbuf_max_incoming, sockbuf_max_incoming_auth);
self->slap(self.forehead);



Note You need to log in before you can comment on or make changes to this bug.